window.Gleam.initSearch([{"doc":"timestamps","title":"timestamps","content":"# timestamps\n\n[![Package Version](https://img.shields.io/hexpm/v/timestamps)](https://hex.pm/packages/timestamps)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/timestamps/)\n\n```sh\ngleam add timestamps@1\n```\n```gleam\nimport timestamps\n\npub fn main() {\n  let now = timestamps.now()\n  io.println(&quot;The current time is: &quot; &lt;&gt; now |&gt; timestamps.to_string)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/timestamps&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"timestamps","title":"Timestamp","content":"pub opaque type Timestamp\n A timestamp in milliseconds.\n\n To create a new timestamp use `timestamp.new()`.\n\nSynonyms:\ntimestamps.Timestamp\ntimestamps Timestamp","url":"timestamps.html#Timestamp"},{"doc":"timestamps","title":"add_hours","content":"pub fn add_hours(\n  to_this timestamp: Timestamp,\n  no_of hours: Int,\n) -&gt; Timestamp\n Returns a timestamp that is `hours` hours after the given timestamp.\n\n Example:\n \n let ts = from_millis(1731431350344)\n let ts_plus_2_hours = add_hours(ts, 2)\n // -&gt; 1731438550344\n \nSynonyms:\ntimestamps.add_hours\ntimestamps add_hours","url":"timestamps.html#add_hours"},{"doc":"timestamps","title":"from_millis","content":"pub fn from_millis(milliseconds millis: Int) -&gt; Timestamp\n Creates a timestamp from given milliseconds.\n\n Example:\n \n let ts = from_millis(1731431350344)\n // -&gt; 1731431350344\n \nSynonyms:\ntimestamps.from_millis\ntimestamps from_millis","url":"timestamps.html#from_millis"},{"doc":"timestamps","title":"is_after","content":"pub fn is_after(\n  timestamp1 t1: Timestamp,\n  timestamp2 t2: Timestamp,\n) -&gt; Bool\n Checks if the first timestamp is before the second timestamp.\n\n Example:\n \n let ts1 = from_millis(1731431350344)\n let ts2 = from_millis(1731431350345)\n is_before(ts1, ts2) // -&gt; True\n \nSynonyms:\ntimestamps.is_after\ntimestamps is_after","url":"timestamps.html#is_after"},{"doc":"timestamps","title":"is_future","content":"pub fn is_future(timestamp t: Timestamp) -&gt; Bool\n Checks if the given timestamp is in the future.\n\n Example:\n \n let ts = from_millis(2031431350344)\n is_future(ts) // -&gt; True\n \nSynonyms:\ntimestamps.is_future\ntimestamps is_future","url":"timestamps.html#is_future"},{"doc":"timestamps","title":"new","content":"pub fn new() -&gt; Timestamp\n Returns the current time as a timestamp in milliseconds.\n\n Example:\n \n let ts = new()\n // -&gt; 1731431350344\n \nSynonyms:\ntimestamps.new\ntimestamps new","url":"timestamps.html#new"},{"doc":"timestamps","title":"to_string","content":"pub fn to_string(timestamp t: Timestamp) -&gt; String\n Returns the value of the timestamp as a string.\nSynonyms:\ntimestamps.to_string\ntimestamps to_string","url":"timestamps.html#to_string"},{"doc":"timestamps","title":"value_of","content":"pub fn value_of(timestamp t: Timestamp) -&gt; Int\n Returns the value of the timestamp.\nSynonyms:\ntimestamps.value_of\ntimestamps value_of","url":"timestamps.html#value_of"},{"doc":"timestamps","title":"timestamps","content":"","url":"timestamps.html"}]);